Xpoint
   [напомнить пароль]

Новости

С 21 декабря АНО "РСИЦ" регистрирует домены в зонах COM и NET

С 21 декабря 2004 г. АНО "Региональный Сетевой Информационный Центр" начинает предоставлять услуги регистрации и поддержки доменов .NEТ и .COM в качестве Регистратора (на основании Соглашения от 07 апреля 2004 г., заключенного между АНО "РСИЦ" и корпорацией VeriSign, являющейся оператором Реестра доменов NET и COM).
20.12 Юрий Щапов[досье]

Google реализовал автозаполнение для поисковых запросов

Компания Google продолжает демонстрировать возможности современных браузеров. На этот раз всеобщий интерес вызвала новая функция поисковой машины — Google Suggest, проходящий сейчас бета-тестирование. В этом режиме пользователь при вводе поиского запроса получает навыбор список из десяти возможных продолжений, вместе с количеством результатов поиска по этому запросу. Разработчики этой функции пишут, что содержимое списка и его сортировка определяются не историей пользователя, а рядом глобальных параметров, как к примеру популярностью поискового запроса. На данный момент эта функция доступна только в английской версии Google, возможность ее реализации для других языков пока еще обдумывается.

Разработчики постарались сделать список как можно более похожим на меню автозаполнения клиентских приложений. На не слишком плохом соединении скорость обновления списка также не уступает клиентским приложения. При этом Internet Explorer и Mozilla даже не показывают, что идет загрузка данных — подгрузка реализована добавлением в документ SCRIPT-элемента. В Opera этот метод подгрузки не поддерживается, вместо него используется невидимый IFRAME.

Интересна поддержка браузеров, которую указывают разработчики. Согласно FAQ, для Google Suggest требуется как минимум Internet Explorer 6.0, Mozilla 1.4 или Opera 7.54. Реально же поддерживается Internet Explorer 5.5, Mozilla 1.0 и Opera 7.0 — они, собственно, недостаточно отличаются от названных версий, чтобы с ними возникли какие-то проблемы. Из распространенных браузеров только Internet Explorer 5.0 действительно не поддерживается — там отсутствуют некоторые функции JavaScript (что было бы легко обойти, если бы у разработчиков было на то желание).

12.12 Владимир Палант[досье]
Powered by POEM™ Engine Copyright © 2002-2005